## ocaml-mirage-ptime 5.1.0

=== Makefile ===
.PHONY: build clean test

build:
	dune build @install

test:
	dune runtest

install:
	dune install

uninstall:
	dune uninstall

doc:
	dune build @doc

clean:
	dune clean

## ocaml-mirage-ptime 5.0.0

=== debian/changelog ===
ocaml-mirage-ptime (5.0.0-2build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:22:30 +0200

ocaml-mirage-ptime (5.0.0-2) unstable; urgency=medium

  * Fix build on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 28 Feb 2025 06:26:34 +0100

ocaml-mirage-ptime (5.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1098934)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Feb 2025 08:59:57 +0100

=== debian/control ===
Source: ocaml-mirage-ptime
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 libptime-ocaml-dev,
 dh-ocaml
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/mirage/mirage-ptime
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mirage-ptime.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-mirage-ptime

Package: libmirage-ptime-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: libraries and module types for portable clocks (development)
 This library implements portable support for an operating system
 timesource that is compatible with the MirageOS library interfaces
 found in: https://github.com/mirage/mirage
 .
 It implements a POSIX clock which counts time since the Unix epoch.
 .
 This package contains development files.

Package: libmirage-ptime-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: libraries and module types for portable clocks (runtime)
 This library implements portable support for an operating system
 timesource that is compatible with the MirageOS library interfaces
 found in: https://github.com/mirage/mirage
 .
 It implements a POSIX clock which counts time since the Unix epoch.
 .
 This package contains runtime files.

## ocaml-mirage-ptime 5.1.0

=== debian/changelog ===
ocaml-mirage-ptime (5.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 09 Sep 2025 16:55:25 +0200

## ocaml-mirage-ptime 5.2.0

=== debian/changelog ===
ocaml-mirage-ptime (5.2.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debian/watch version to 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 28 Nov 2025 09:08:24 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
  ocaml-dune,
  libptime-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/mirage/mirage-ptime
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mirage-ptime.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-mirage-ptime

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/mirage/mirage-ptime/releases?per_page=50
Matching-Pattern: https://github.com/mirage/mirage-ptime/releases/download/[^/]+/mirage-ptime-@ANY_VERSION@\.tbz
Searchmode: plain
